package com.schisandra.system.infra.basic.service;

import com.schisandra.system.infra.basic.entity.SchisandraSysConfig;


/**
 *  表服务接口
 *
 * @author landaiqing
 * @since 2024-05-11 22:45:55
 */
public interface SchisandraSysConfigService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SchisandraSysConfig queryById(Long id);

    /**
     * 新增数据
     *
     * @param schisandraSysConfig 实例对象
     * @return 实例对象
     */
    int insert(SchisandraSysConfig schisandraSysConfig);

    /**
     * 修改数据
     *
     * @param schisandraSysConfig 实例对象
     * @return 实例对象
     */
    int update(SchisandraSysConfig schisandraSysConfig);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);


    SchisandraSysConfig getConfigByKey(String key);
}
